Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
TdjLifeCycle Class Reference

Abstract LifeCycle implementation. More...

Inheritance diagram for TdjLifeCycle:

## Public Member Functions
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Protected Member Functions
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Detailed Description

Abstract LifeCycle implementation.

## Member Function Documentation

## ◆ IsStarted()

Boolean TdjLifeCycle::IsStarted | ( |  | ) |

Returns
  True if the state is "started"

Referenced by TdjServer::AddConnector(), TdjHTTPConnector::DoStop(), TdjHandlerCollection::Handle(), Start(), TdjHTTPConnector::~TdjHTTPConnector(), and TdjServer::~TdjServer().

## ◆ IsStopped()

Boolean TdjLifeCycle::IsStopped | ( |  | ) |

Returns
  True if the state is "stopped"

## ◆ Start()

TdjLifeCycle::Start | ( |  | ) |

Start the handler.

See also
  ILifeCycle

References DoStart(), IsStarted(), and Started.

## ◆ Stop()

TdjLifeCycle::Stop | ( |  | ) |

Stop the handler.

See also
  ILifeCycle

References DoStop(), and Stopped.

Referenced by TdjHTTPConnector::~TdjHTTPConnector(), and TdjServer::~TdjServer().

## Member Data Documentation

## ◆ Started

Boolean TdjLifeCycle::Started

True if the state is "started".

See also
  FStarted For reading
  SetStarted For writing

Referenced by TdjHandlerCollection::AddHandler(), CheckStarted(), TdjHTTPConnector::DoStart(), and Start().

## ◆ Stopped

Boolean TdjLifeCycle::Stopped

True if the state is "stopped".

See also
  FStopped For reading
  SetStopped For writing

Referenced by CheckStopped(), and Stop().